Support » Plugin: HandL UTM Grabber / Tracker » After version 2.6.3 the plugin does not work outside Contact Form 7

  • Resolved senseart

    (@senseart)


    Hi,
    I use your plugin. It works well and is very useful. I also use it and outside of Contact Form 7, but after version (2.6.3) it no longer works . So I went back to this version. I test the new versions from time to time, but the problem remains with me and I am forced to stay on version (2.6.3).
    Maybe it needs some my syntax change already.
    Here is part of this code where it is embedded.

    $html .=”UTM Campaign:”.do_shortcode(‘[utm_campaign]‘).””;

    This still works perfectly, but if I switch to a higher version of the plugin, instead the result, itself name of appears the shortcode.
    But it continues to work well in Contact Form 7.
    The results is the same regardless of the version of WP

    Thanks.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Haktan Suren

    (@haktansuren)

    can you send the URL for me to test? You can also join our slack channel so i can take a look at it closer https://www.haktansuren.com/slack-handlwp/

    Thread Starter senseart

    (@senseart)

    This is a test cloning with HandL UTM Grabber – Version 2.7.2 :

    http://senseartbg.com/top-removals/test

    The standard form (bottom) is through Contact Form 7. Everything works perfectly there.
    If you start the “BOOK A SERVICE” button (the form is programmed manually), there is a problem here after version (2.6.3).
    The same problem is with starting “QUICK QUOTE”, “BOOK A SERVICE” and “REMOVAL CALCULATOR” forms.

    Plugin Author Haktan Suren

    (@haktansuren)

    How do you generate the form in REMOVAL CALCULATOR?

    Thread Starter senseart

    (@senseart)

    REMOVAL CALCULATOR is manually programmed with its own script. After then it uses the plugin (Advanced Custom Fields PRO) to be easy to control by the admin part. I created new fields and injected the data from your plugin into them, which stopped working now.
    Here is part of the code:

    update_field(“utm_campaign_acf”,do_shortcode(‘[utm_campaign]’), $postID);

    I also assumed that the calculator script might be confusing, so I disabled it in some of my tests. I left only the pure forms for testing – “QUICK QUOTE”, “BOOK A SERVICE” and “CONTACT US”. They are programmed in the functions.pfp and they don’t use anything extra.

    $html .=”<p>UTM Campaign: “.do_shortcode(‘[utm_campaign]’).” </p>”;

    But even in this situation the problem is the same.

    Plugin Author Haktan Suren

    (@haktansuren)

    Seems like this is very specific to the way you use it. Can you join our Slack channel and ask the question there to the community? https://www.haktansuren.com/slack-handlwp/

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘After version 2.6.3 the plugin does not work outside Contact Form 7’ is closed to new replies.